#
# spec file for package xmp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xmp
Version:        4.1.0
Release:        bp153.1.18
Summary:        Extended Module Player for MOD/S3M/XM/IT/etc.
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Players
Url:            http://xmp.sf.net/

#Git-Clone:	git://git.code.sf.net/p/xmp/xmp-cli
Source:         http://downloads.sf.net/xmp/%name-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa) >= 1
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libxmp) >= 4.4

%description
The Extended Module Player is a command-line mod player for Unix-like
systems that plays over 90 mainstream and obscure module formats from
Amiga, Atari, Acorn, Apple IIgs, C64, and PC, including Protracker
(MOD), Scream Tracker 3 (S3M), Fast Tracker II (XM), and Impulse
Tracker (IT) files.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files
%defattr(-,root,root)
%dir %_sysconfdir/xmp/
%config %_sysconfdir/xmp/*.conf
%_bindir/xmp
%_mandir/man1/xmp.1*
%doc COPYING README

%changelog
* Tue Jul 26 2016 jengelh@inai.de
- Update to new upstream release 4.1.0
  * Add option to force tracker emulation
  * Add option to use simulated Amiga mixers
  * Add option to set the maximum number of virtual channels
  * Add command to switch between standard and classic mixers
  * Add command to display current mixer type
  * Fix default amplification factor
  * Fix module-specific configuration file options
  * Fix screen corruption when module uses more than 255 virtual
  channels
  * Remove option --offset-bug-emulation
* Sat Dec  6 2014 jengelh@inai.de
- Update to new upstream release 4.0.10
  * Add AIFF file output driver
  * Add command 'h' to display help message
  * Fix sound driver deinitialization on signal
* Sun Oct  5 2014 jengelh@inai.de
- Update to new upstream release 4.0.9
  * Add the "-p" option to set the default pan amplitude
* Mon Aug 11 2014 jengelh@inai.de
- Update to new upstream release 4.0.8
  * Add command-line option -C and in-program command key 'c'
  to display module comment
  * Fix ignored amplify option
  * Fix screen corruption with large number of rows
* Tue Feb 25 2014 jengelh@inai.de
- Update to new upstream release 4.0.7
  * This release contains fixes for NetBSD and Haiku sound drivers,
  and minor interface adjustments.
* Mon May 20 2013 jengelh@inai.de
- Update to new upstream release 4.0.6
  * Build fixes only; do not require C++ compiler on Linux
* Mon May 13 2013 jengelh@inai.de
- Update to new upstream release 4.0.5
  * This release fixes an infinite loop when skipping songs backwards
  and the first song is not playable.
- Enable Pulseaudio backend
* Fri May  3 2013 jengelh@inai.de
- Update to new upstream release 4.0.4
  * This release adds commands for subsong navigation and allows
  built-in module quirks to be overriden by the configuration file.
* Tue Apr  9 2013 jengelh@inai.de
- Update to new upstream release 4.0.2
  * Prefer pulse (if available) over ALSA (if available) over OSS
  * Background process handling fixed
- Remove 0001-xmp-give-ALSA-output-higher-priority-than-OSS.patch,
  0002-xmp-give-Pulseaudio-higher-priority-than-ALSA.patch
  (merged upstream)
* Mon Mar 11 2013 cfarrell@suse.com
- license update: GPL-2.0+
  No reason for GPL-2.0 only license
* Sat Feb 16 2013 jengelh@inai.de
- Initial package (version 4.0.1) for build.opensuse.org
